Subject: Re: Bash termcap and history file
From: [email-masked]

16 Jan 1997 21:10:56 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: When bash reads a history file, it compares the size of the file as
: reported by fstat(2) to the number of bytes returned by read(2).  If
: they are not equal, then bash will ignore the contents of the history
: file.

Opening in binary mode should help for the size check, but then you need
to get rid of the last \r. Better handle gracefully in case there is no CR.
And the CR might be needed and escaped somehow 8-)

: I'm willing to post my version of bash (~256K) that fixes the history
: problem to the mailing list if it is appropriate and if people are
: interested.  Sorry, but I don't have a publically accessible ftp site.

Please don't send to the whole list, some people have to pay a lot!
Better send directly to those requesting it and/or to one uploading it.
If all else fails, I could ftp it to cygnus, although I have enough to do.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".